GENDERS_GETATTR_ALL(3)

NAME
genders_getattr_all - get all the attributes stored in a genders file

SYNOPSIS
#include <genders.h>

int genders_getattr_all(genders_t handle, char *attrs[], int len);

DESCRIPTION
genders_getattr_all() gets all the attributes found in the genders file associated with handle. The attributes are stored in the attribute list pointed to by attrs. len should indicate the number of elements that can be stored in the attribute list.

To avoid passing in a list that is not large enough to store all the attributes, genders_getnumattrs(3) should be used to determine the minimum number of elements attrs should be able to store. genders_attrlist_create(3) could be used to create a list that is guaranteed to be large enough to store all attributes.

RETURN VALUES
On success, the number of attributes stored in attrs is returned. On error, -1 is returned, and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_NOTLOADED
    genders_load_data(3) has not been called to load genders data.

GENDERS_ERR_OVERFLOW
    The list pointed to by attrs is not large enough to store all the attributes.

GENDERS_ERR_PARAMETERS
    An incorrect parameter has been passed in.

GENDERS_ERR_NULLPTR
    A null pointer has been found in the list passed in.

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has been destroyed by genders_handle_destroy(3).

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_load_data(3), genders_getnumattrs(3), genders_attrlist_create(3), genders_errnum(3), genders_strerror(3)